import { JBGeneratedTokenModel } from "@justbe-typescript-models/jb-token";
import { Observable } from "rxjs";
import { OneLouveProfileModel } from "@justbe-typescript-models/one-louve-profile";
import { HttpService } from "@justbe-angular/jb-http";
import { AuthDataHandlerService } from "./auth-data-handler.service";
import { AutherService } from "@justbe-angular/jb-auther";
import { AfterLoginHandlerService } from "./after-login-handler.service";
export declare class TokenGenHandleService {
    private httpService;
    private autherService;
    private authDataHandler;
    private afterLoginHandle;
    constructor(httpService: HttpService, autherService: AutherService, authDataHandler: AuthDataHandlerService, afterLoginHandle: AfterLoginHandlerService);
    genNHandle(profileType: 'JustBeProfile' | 'Google2Profile' | 'FacebookProfile', oneLouveProfile: OneLouveProfileModel, userId: any): Observable<{}>;
    handle(authType: 'JustBeProfile' | 'Google2Profile' | 'FacebookProfile', jbgenToken: JBGeneratedTokenModel, profile?: OneLouveProfileModel): Observable<{}>;
    private continueHandle(authType, jbgenToken, profile);
    private getProfile();
}
